package example;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.layout.RowData;
import org.eclipse.swt.layout.RowLayout;

public class RowLayoutExample
{
	public static void main (String [] args) 
	{
		Display display = new Display ();
		final Shell shell = new Shell (display);
		shell.setText(" RowLayout");
		RowLayout rowLayout = new RowLayout();
		rowLayout.type = SWT.VERTICAL;
		rowLayout.type = SWT.HORIZONTAL;
//		rowLayout.marginWidth  = 10;
//		rowLayout.marginHeight = 10;
		rowLayout.marginTop    = 5;
		rowLayout.marginRight  = 15;
		rowLayout.marginBottom = 15;
		rowLayout.marginLeft   = 5;
		rowLayout.spacing      = 0;

		rowLayout.wrap = false;
//		rowLayout.pack = true;
		rowLayout.justify = true;

		shell.setLayout(rowLayout);
		
//        new Button(shell, SWT.PUSH).setText(" ");
//        new Button(shell, SWT.PUSH).setText("");
//        new Button(shell, SWT.PUSH).setText("");
		
		Button button1 = new Button(shell, SWT.PUSH);
		button1.setText(" ");
	    button1.setLayoutData(new RowData(180, 30));
		
		Button button2 = new Button(shell, SWT.PUSH);
		button2.setText("");
	    button2.setLayoutData(new RowData(60, 35));

		Button button3 = new Button(shell, SWT.PUSH);
		button3.setText("");
	    button3.setLayoutData(new RowData(80, 40));

	    shell.pack ();
		shell.open ();
	
		while (!shell.isDisposed ()) {
			if (!display.readAndDispatch ()) display.sleep ();
		}
		display.dispose ();
	}
}
