package example;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.layout.FillLayout;

public class FillLayoutExample
{
	public static void main (String [] args) {
		Display display = new Display ();
		final Shell shell = new Shell (display);
		shell.setText("  FillLayout");
		FillLayout fillLayout = new FillLayout();
//		fillLayout.type = SWT.VERTICAL;
//		fillLayout.type = SWT.HORIZONTAL;
		fillLayout.marginWidth  = 10;
		fillLayout.marginHeight = 10;
//		fillLayout.spacing = 5;
		shell.setLayout(fillLayout);

		new Button(shell, SWT.PUSH).setText("");
		new Button(shell, SWT.PUSH).setText("  ");
		new Button(shell, SWT.PUSH).setText(" ");
		
		shell.pack ();
		shell.open ();
	
		while (!shell.isDisposed ()) {
			if (!display.readAndDispatch ()) display.sleep ();
		}
		display.dispose ();
	}
}
