package example;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;

import org.eclipse.swt.layout.GridData;
// import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;

public class GridLayoutExample
{
	public static void main (String [] args) 
	{
		Display display = new Display ();
		final Shell shell = new Shell (display);
		shell.setText(" GridLayout");
		GridLayout gridLayout = new GridLayout();
		
		gridLayout.marginLeft  = 10;
		gridLayout.marginRight = 5;
		gridLayout.numColumns  = 2;
		gridLayout.makeColumnsEqualWidth = true;
		shell.setLayout(gridLayout);
		new Button(shell, SWT.PUSH).setText("");
		new Button(shell, SWT.PUSH).setText(" ");
		new Button(shell, SWT.PUSH).setText("");
		Button button4 = new Button(shell, SWT.PUSH);
		button4.setText("");
		shell.setLayout(gridLayout);
		
		GridData gridData = new GridData();
		gridData.widthHint = 170;
		gridData.heightHint = 20;
		button4.setLayoutData(gridData);
		
//		Button button1 = new Button(shell, SWT.PUSH);
//		button1.setText(" ");
//	    button1.setLayoutData(new RowData(180, 30));
//		
//		Button button2 = new Button(shell, SWT.PUSH);
//		button2.setText("");
//	    button2.setLayoutData(new RowData(60, 35));
//
//		Button button3 = new Button(shell, SWT.PUSH);
//		button3.setText("");
//	    button3.setLayoutData(new RowData(80, 40));

	    shell.pack ();
		shell.open ();
	
		while (!shell.isDisposed ()) {
			if (!display.readAndDispatch ()) display.sleep ();
		}
		display.dispose ();
	}
}
